Subject: Re: g++ (v.3.1.1-4) -mno-cygwin with a hello world sample crashes oddly
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Sun, 21 Jul 2002 11:15:40 +0900
Newsgroups: gmane.os.cygwin

I thought of that before posting to the group, and renamed my executable to
my_test_is_mine_only.exe

Same results.

Its the oddest thing I've ever seen and reminded me (not in a good way) of
DOS days of old :-), any ideas?

--
---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Christopher Faylor" <[email-masked]> wrote in message
news:[email-masked]...
> On Sat, Jul 20, 2002 at 04:16:48PM +0900, Dylan Cuthbert wrote:
> >
> >Hi all, Here is a very simple test program I am compiling with
> >g++ -mno-cygwin -c test.cpp -o test.exe
> >
> >--- snip ---
> >
> >#include <iostream>
> >
> >int main (int argc, char *argv[])
> >{
> > int frog = 10;
> > int blob = 20;
> >
> > for ( int i = 0; i < 10; i++ )
> > {
> >  std::cout << "hello world" << frog << " " << blob << std::endl;
> >
> >  frog += blob;
> >
> > }
> >
> > return(0);
> >}
> >
> >--- snip ---
> >
> >When I run this from a command.com style window, a very strange thing
> >happens - the text cursor starts jumping about the screen in a repeated
> >pattern (I'm not joking, I thought it was a virus or something at first).
> >When I run it from rxvt, rxvt just freezes on me after I press ctrl-c.
> >
> >In both cases I have to use the task manager to close down a task called
> >ntvdm.exe which is using up 50% of the cpu time.  If I end that task the
> >prompt returns to rxvt (or the command.com shell).
>
> I would suspect that you are not running the program as ./test and are,
> instead running some other random "program" named test.
>
> It's usually a good idea not to use 'test' as a command name since UNIX
> systems have a test program installed in /usr/bin.
>
> cgf
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/